Subject: Re: bug#23234: unexpected results with charset handling in GNU grep 2.23

From: Jim Meyering <[email-masked]>
Date: Sun, 10 Apr 2016 21:46:06 -0700

On Sun, Apr 10, 2016 at 2:59 PM, Zev Weiss <[email-masked]> wrote:
...
> Well, I still have my multithreading patch series
> (https://github.com/zevweiss/grep/) awaiting review, which I'd hope to get
> applied at some point, though I'd guess it's enough of a review task that
> delaying an impending release for it isn't likely (the mbtoupper()-removal
> patch made that series one patch shorter though, since one was to deal with
> that function's thread-unsafety).  I've been rebasing it periodically and
> running it on my own system in /usr/local without any problems for a while
> now, for what that's worth.
>
> With current HEAD from savannah though, all check-very-expensive tests pass
> for me on Debian stretch with gcc 5.3, glibc 2.22, and Linux kernel 4.3.

Thanks for your patience.
Definitely a worthwhile feature. You're right: I want to ensure
the core functionality is in a very solid state before making a
release including multithreading.